security/polkit - The NetBSD Packages Collection

Authorization Manager

PolicyKit is a toolkit for defining and handling authorizations.  It
is used for allowing unprivileged processes to speak to privileged
processes.

Build dependencies

textproc/libxslt textproc/docbook-xsl devel/gobject-introspection pkgtools/cwrappers devel/gobject-introspection devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/glib2 lang/mozjs78 devel/glib2 lang/mozjs78

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpolkit-0.116nb4.tgz
NetBSD 8.0i386polkit-0.116nb4.tgz
NetBSD 8.0powerpcpolkit-0.116nb4.tgz
NetBSD 8.0x86_64polkit-0.118nb1.tgz
NetBSD 8.0x86_64polkit-0.116nb4.tgz
NetBSD 8.0x86_64polkit-0.118nb1.tgz
NetBSD 9.0aarch64polkit-0.118nb1.tgz
NetBSD 9.0aarch64polkit-0.116nb4.tgz
NetBSD 9.0aarch64polkit-0.118nb1.tgz
NetBSD 9.0alphapolkit-0.116nb4.tgz
NetBSD 9.0earmv7hfpolkit-0.116nb4.tgz
NetBSD 9.0i386polkit-0.116nb4.tgz
NetBSD 9.0i386polkit-0.118nb1.tgz
NetBSD 9.0i386polkit-0.118nb1.tgz
NetBSD 9.0powerpcpolkit-0.118nb1.tgz
NetBSD 9.0sparc64polkit-0.118nb1.tgz
NetBSD 9.0sparc64polkit-0.116nb3.tgz
NetBSD 9.0sparc64polkit-0.116nb4.tgz
NetBSD 9.0x86_64polkit-0.118.tgz
NetBSD 9.0x86_64polkit-0.118nb1.tgz
NetBSD 9.0x86_64polkit-0.118nb1.tgz
NetBSD 9.0x86_64polkit-0.118nb1.tgz
NetBSD 9.0x86_64polkit-0.116nb4.tgz
NetBSD 9.0x86_64polkit-0.118nb1.tgz
NetBSD 9.0x86_64polkit-0.118nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

introspection
Enable GObject Introspection support.
pam
Enable PAM support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.